Index: plugins/alsa/Makefile
===================================================================
--- plugins/alsa/Makefile	(revision 4194)
+++ plugins/alsa/Makefile	(revision 4748)
@@ -11,6 +11,6 @@
 #DEBUG=-DDEBUG -DXXX
 DEFINES=-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"alsa-plugins\" -DVERSION=\"1.0.13\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_LIBASOUND=1 -D_REENTRANT
-CFLAGS += -g -Wall $(Wextra) -O2 -I../../include $(DEFINES) $(DEBUG) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) -I/usr/include/alsa -D_GNU_SOURCE $(pthread)
-LDFLAGS = -g $(SHARED) $(LDPATH) -L../../lib $(pthread)
+CFLAGS += -g -Wall $(Wextra) $(OPTI_O) -I../../include $(DEFINES) $(DEBUG) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) -I/usr/include/alsa -D_GNU_SOURCE $(pthread)
+LDFLAGS+= -g $(SHARED) $(LDPATH) -L../../lib $(pthread)
 LIBS    = $(LIBROAR) $(lib_m) $(lib_dl) -lrt $(lib_asound)
 
Index: plugins/alsavs/Makefile
===================================================================
--- plugins/alsavs/Makefile	(revision 4194)
+++ plugins/alsavs/Makefile	(revision 4748)
@@ -11,6 +11,6 @@
 #DEBUG=-DDEBUG -DXXX
 DEFINES=-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"alsa-plugins\" -DVERSION=\"1.0.13\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_LIBASOUND=1 -D_REENTRANT
-CFLAGS += -g -Wall $(Wextra) -O2 -I../../include $(DEFINES) $(DEBUG) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) -I/usr/include/alsa -D_GNU_SOURCE $(pthread)
-LDFLAGS = -g $(SHARED) $(LDPATH) -L../../lib $(pthread)
+CFLAGS += -g -Wall $(Wextra) $(OPTI_O) -I../../include $(DEFINES) $(DEBUG) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) -I/usr/include/alsa -D_GNU_SOURCE $(pthread)
+LDFLAGS+= -g $(SHARED) $(LDPATH) -L../../lib $(pthread)
 LIBS    = $(LIBROAR) $(lib_m) $(lib_dl) -lrt $(lib_asound)
 
Index: plugins/ao/Makefile
===================================================================
--- plugins/ao/Makefile	(revision 3234)
+++ plugins/ao/Makefile	(revision 4748)
@@ -7,6 +7,6 @@
 
 #DEFINES=-DDEBUG
-CFLAGS += -g -Wall -O2 -I../../include $(DEFINES) $(HAVE_MATRIX) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(AO_CFLAGS)
-LDFLAGS = -g $(SHARED) $(LDPATH) -L../../lib
+CFLAGS += -g -Wall $(OPTI_O) -I../../include $(DEFINES) $(HAVE_MATRIX) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(AO_CFLAGS)
+LDFLAGS+= -g $(SHARED) $(LDPATH) -L../../lib
 LIBS    = $(LIBROAR) $(AO_LIBS)
 
Index: plugins/audacious/Makefile
===================================================================
--- plugins/audacious/Makefile	(revision 3105)
+++ plugins/audacious/Makefile	(revision 4748)
@@ -8,6 +8,6 @@
 
 #DEFINES=-DDEBUG
-CFLAGS += -g -Wall -O2 -I../../include $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(GTK_CFLAFS) $(XMMS_CFLAGS)
-LDFLAGS = -g $(SHARED) $(LDPATH) -L../../lib
+CFLAGS += -g -Wall $(OPTI_O) -I../../include $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(GTK_CFLAFS) $(XMMS_CFLAGS)
+LDFLAGS+= -g $(SHARED) $(LDPATH) -L../../lib
 LIBS    = $(LIBROAR) $(GTK_LIBS) $(XMMS_LIBS)
 
Index: plugins/gstreamer0.10/Makefile
===================================================================
--- plugins/gstreamer0.10/Makefile	(revision 2383)
+++ plugins/gstreamer0.10/Makefile	(revision 4748)
@@ -10,6 +10,6 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I. -I../include -I../include/libroar
-CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(GST_CFLAGS)
-LDFLAGS = -g -L../lib/ $(SHARED) $(LDPATH) $(LIBROAR) $(GST_LIBS) -lgstaudio-0.10
+CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(GST_CFLAGS)
+LDFLAGS+= -g -L../lib/ $(SHARED) $(LDPATH) $(LIBROAR) $(GST_LIBS) -lgstaudio-0.10
 
 all: $(TARGETS)
Index: plugins/xine/Makefile
===================================================================
--- plugins/xine/Makefile	(revision 3095)
+++ plugins/xine/Makefile	(revision 4748)
@@ -10,5 +10,5 @@
 #DEFINES=-DDEBUG
 CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(fPIC) $(XINE_CFLAGS)
-LDFLAGS = -g -shared -lroar $(XINE_LIBS)
+LDFLAGS+= -g -shared -lroar $(XINE_LIBS)
 
 all: ${TARGET}
Index: plugins/xmms/Makefile
===================================================================
--- plugins/xmms/Makefile	(revision 3752)
+++ plugins/xmms/Makefile	(revision 4748)
@@ -8,6 +8,6 @@
 
 #DEFINES=-DDEBUG
-CFLAGS += -g -Wall $(Wextra) -O2 -I../../include $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(GTK_CFLAFS) $(XMMS_CFLAGS)
-LDFLAGS = -g $(SHARED) $(LDPATH) -L../../lib
+CFLAGS += -g -Wall $(Wextra) $(OPTI_O) -I../../include $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(GTK_CFLAFS) $(XMMS_CFLAGS)
+LDFLAGS+= -g $(SHARED) $(LDPATH) -L../../lib
 LIBS    = $(LIBROAR) $(GTK_LIBS) $(XMMS_LIBS)
 
